apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: rr-uat-ingress
  namespace: cma-uat
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/cors-allow-headers: "x-tenant,authorization,content-type"
    nginx.ingress.kubernetes.io/cors-allow-origin: "*"
    nginx.ingress.kubernetes.io/use-regex: "true"
spec:
  ingressClassName: public
  tls:
  - hosts:
    - uat.radioregister.org.uk
    secretName: rr-uat-sw-co-letsencrypt-prod-cert
  rules:
  - host: uat.radioregister.org.uk
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: rr-uat-service
            port:
              number: 3000
